# Class LidarprofileManager

#### Hierarchy

- LidarprofileManager

- Defined in src/lidar/Manager.ts:61

#####
Index

### Constructors

constructor

### Properties

cartoHighlight
config
debouncer
lidarBuffer
lidarPointHighlight
measure
plot
pointSum
profilePoints
utils

### Methods

clearBuffer
getProfileByLOD
init
setLine
setMap
updateData

## Constructors

### constructor

- new LidarprofileManager(): LidarprofileManager

- Provides a service to manage a D3js component to be used to draw an lidar point cloud profile chart. Requires access to a Pytree webservice: https://github.com/sitn/pytree

  #### Returns LidarprofileManager

  - Defined in src/lidar/Manager.ts:123

## Properties

### cartoHighlight

cartoHighlight: Overlay

The hovered point attributes in D3 profile highlighted on the 2D map

- Defined in src/lidar/Manager.ts:86

### config

config: LidarprofileConfigService

- Defined in src/lidar/Manager.ts:76

### debouncer

debouncer: (() => void) = ...

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/lidar/Manager.ts:118

### lidarBuffer

lidarBuffer: VectorLayer<VectorSource<Geometry>>

The profile footpring represented as a LineString represented with real mapunites stroke width

- Defined in src/lidar/Manager.ts:97

### lidarPointHighlight

lidarPointHighlight: VectorLayer<VectorSource<Geometry>>

The hovered point geometry (point) in D3 profile highlighted on the 2D map

- Defined in src/lidar/Manager.ts:91

### measure

measure: default

- Defined in src/lidar/Manager.ts:74

### plot

plot: default

- Defined in src/lidar/Manager.ts:72

### pointSum

pointSum: number

- Defined in src/lidar/Manager.ts:116

### profilePoints

profilePoints: LidarprofilePoints

The variable where all points of the profile are stored

- Defined in src/lidar/Manager.ts:102

### utils

utils: default

- Defined in src/lidar/Manager.ts:114

## Methods

### clearBuffer

- clearBuffer(): void

- Clears the profile footprint

  #### Returns void

  - Defined in src/lidar/Manager.ts:205

### getProfileByLOD

- getProfileByLOD(clippedLine: Coordinate[], distanceOffset: number, resetPlot: boolean, minLOD: number): void

- Load profile data (lidar points) by successive Levels Of Details using asynchronous requests

  #### Parameters

  - ##### clippedLine: Coordinate[]

    an array of the clipped line coordinates

  - ##### distanceOffset: number

    the left side of D3 profile domain at current zoom and pan configuration

  - ##### resetPlot: boolean

    whether to reset D3 plot or not

  - ##### minLOD: number

    minimum Level Of Detail

  #### Returns void

  - Defined in src/lidar/Manager.ts:257

### init

- init(config: LidarprofileConfigService, map: Map): void

- #### Parameters

  - ##### config: LidarprofileConfigService

    Config

  - ##### map: Map

    The map.

  #### Returns void

  - Defined in src/lidar/Manager.ts:195

### setLine

- setLine(line: LineString): void

- Set the line for the profile

  #### Parameters

  - ##### line: LineString

    that defines the profile

  #### Returns void

  - Defined in src/lidar/Manager.ts:218

### setMap

- setMap(map: Map): void

- Set the map used by the profile

  #### Parameters

  - ##### map: Map

    The map.

  #### Returns void

  - Defined in src/lidar/Manager.ts:227

### updateData

- updateData(): void

- Update the profile data according to D3 chart zoom and pan level The update will wait on a 200ms pause on the actions of users before to do the update.

  #### Returns void

  - Defined in src/lidar/Manager.ts:607

Generated using TypeDoc